## dnsmasq 2.85

=== debian/changelog ===
dnsmasq (2.85-1+deb11u1) bullseye-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Patch CVE-2022-0934
  * Patch CVE-2023-28450
  * Patch CVE-2023-50387 and CVE-2023-50868
  * Add salsa config to run CI tests

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 29 Nov 2024 13:55:04 +0100

dnsmasq (2.85-1) unstable; urgency=low

   * New upstream.
   * Includes fix to CVE-2021-3448.
   * Fix manpage typos. (closes: #986150)

 -- Simon Kelley <simon@thekelleys.org.uk>  Sat, 03 Apr 2021 22:17:23 +0100

dnsmasq (2.84-1.2) unstable; urgency=medium

   * Non-maintainer upload.
   * Bump old-version in dpkg-maintscript-helper dir_to_symlink calls to also
     clean up after upgrades to an earlier version in testing.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 01 Apr 2021 16:01:51 +0200

dnsmasq (2.84-1.1) unstable; urgency=medium

   * Non-maintainer upload.
   * Fix symlink to directory conversion for /usr/share/doc/dnsmasq.
     This is achieved by directly calling dpkg-maintscript-helper in the preinst,
     postinst, and postrm scripts, since the package does not use debhelper.
     (Closes: #985282)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 28 Mar 2021 10:55:07 +0200

dnsmasq (2.84-1) unstable; urgency=low

   * New upstream.

 -- Simon Kelley <simon@thekelleys.org.uk>  Sun, 24 Jan 2021 22:02:01 +0000

dnsmasq (2.83-1) unstable; urgency=high

   * New upstream.
   * Includes fixes to CVE-2020-25681 - CVE-2020-25687 inclusive.

 -- Simon Kelley <simon@thekelleys.org.uk>  Fri, 15 Jan 2021 22:22:41 +0000

dnsmasq (2.82-1) unstable; urgency=low

   * New upstream.

 -- Simon Kelley <simon@thekelleys.org.uk>  Fri, 26 Jun 2020 22:22:41 +0000

dnsmasq (2.81-4) unstable; urgency=low

   * Remove runit support when building for Ubuntu. (closes: #960401)

 -- Simon Kelley <simon@thekelleys.org.uk>  Fri, 26 Jun 2020 21:52:44 +0000

dnsmasq (2.81-3) unstable; urgency=low

   * Fixes to control file for bug 958100

 -- Simon Kelley <simon@thekelleys.org.uk>  Sun, 19 Apr 2020 21:44:12 +0000

dnsmasq (2.81-2) unstable; urgency=low

   * Fix FTBFS on kFreeBSD. (closes: #958100)
	
 -- Simon Kelley <simon@thekelleys.org.uk>  Sat, 18 Apr 2020 18:34:15 +0000

dnsmasq (2.81-1) unstable; urgency=low

   * New upstream.
   * Fix nodocs/nodoc confusion in rules. (closes: #922758)
   * Add Vcs-* fields to control. (closes: #922422)
   * Add systemd support for multiple daemon instances. (closes: #914305)
   * Add note explaining that ENABLED is SYSV-init only. (closes: #914755)
   * Replace ash with dash in contrib/reverse-dns. (closes: #920224)
   * Move to libidn2. (closes: #932695)
   * Fix RA problem with two interfaces on same net, but RA service on
     only one of the interfaces. (closes: #949565)
   * Fix breakage of dig +trace. (closes: #942363)
   * Fix build faliure with newer Nettle libraries. (closes: #940985)
   * Support runscript init-system (closes: #929884)
   * Security fix for CVE-2019-14834 (closes: #948373)
	
 -- Simon Kelley <simon@thekelleys.org.uk>  Wed, 8 Apr 2020 17:33:15 +0000
