## dnsmasq 2.85-1ubuntu2

=== debian/changelog ===
dnsmasq (2.85-1ubuntu2) impish; urgency=medium

  * Revert: "src/radv.c: avoid leases to be issued forever when not set"
    (LP 1894619) according to the bug and upstream discussion.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 22 Jun 2021 07:18:30 +0200

dnsmasq (2.85-1ubuntu1) impish; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - src/radv.c: avoid leases to be issued forever when not set
      (LP 1894619)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 02 Jun 2021 09:34:26 +0200

dnsmasq (2.84-1ubuntu2) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:12:23 +0000

dnsmasq (2.84-1ubuntu1) hirsute; urgency=medium

  * Resynchronize on Debian, remaining change
  * src/radv.c: avoid leases to be issued forever when not set 
    LP: #1894619)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Feb 2021 16:15:22 +0100
