## dnsmasq 2.85-1ubuntu2.1

=== debian/changelog ===
dnsmasq (2.85-1ubuntu2.1) impish-security; urgency=medium

  * SECURITY UPDATE: Heap use after free
    - debian/patches/CVE-2022-0934.patch: Fix write-after-free error in
      DHCPv6 code in src/rfc3315.c.
    - CVE-2022-0934

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 18 Apr 2022 11:55:36 -0300
