## dnsmasq 2.86-1.1ubuntu0.4

=== debian/changelog ===
dnsmasq (2.86-1.1ubuntu0.4) jammy; urgency=medium

  * src/dnsmasq.h, src/domain-match.c: Fix confusion when using resolvconf
    servers (combining server|address for a domain), resulting in the struct
    server datastructure for server=/domain/# getting passed to
    forward_query(), rapidly followed by a SEGV. This fix makes
    server=/domain/# a fully fledged member of the priority list.
    The code added here is a cherry pick released in upstream version
    2.87, originating at
    https://thekelleys.org.uk/gitweb/?p=dnsmasq.git;a=commit;h=de372d69
    (LP: #2015562)

 -- Miriam España Acebal <miriam.espana@canonical.com>  Thu, 20 Apr 2023 11:00:27 +0200

dnsmasq (2.86-1.1ubuntu0.3) jammy-security; urgency=medium

  * SECURITY UPDATE: IP fragmentation
    - src/config.h: update default max EDNS_PKTSZ to 1232 as agreed on
      dnsflagday 2020.
    - man/dnsmasq.8: updating documentation to reflect new default max
      EDNS_PKTSZ.
    - eb92fb32b746f2104b0f370b5b295bb8dd4bd5e5
    - CVE-2023-28450

 -- Ian Constantin <ian.constantin@canonical.com>  Tue, 18 Apr 2023 11:11:46 +0300

dnsmasq (2.86-1.1ubuntu0.2) jammy; urgency=medium

  * src/forward.c: Do not refuse retries from client DNS queries. Behaviour to
    stop infinite loops when all servers return REFUSED was wrongly activated
    on client retries, resulting in incorrect REFUSED replies to client
    retries. The code added here is a cherry pick released in upstream version
    2.87, originating at
    https://thekelleys.org.uk/gitweb/?p=dnsmasq.git;a=commit;h=2561f9fe0eb9c0be
    (LP: #1981794)

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 14 Oct 2022 14:39:41 -0700

dnsmasq (2.86-1.1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Heap use after free
    - debian/patches/CVE-2022-0934.patch: Fix write-after-free error in
      DHCPv6 code in src/rfc3315.c.
    - CVE-2022-0934

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 02 May 2022 12:09:51 -0300

dnsmasq (2.86-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix --address=/#/...... which was lost in 2.86. (closes: #995655)

 -- Michael Biebl <biebl@debian.org>  Wed, 10 Nov 2021 22:05:45 +0100

dnsmasq (2.86-1) unstable; urgency=low

   * Fix debian/changelog format error. (closes: #986626)

 -- Simon Kelley <simon@thekelleys.org.uk>  Thu, 08 Apr 2021 22:39:00 +0100
