## dnsmasq 2.90

=== debian/changelog ===
dnsmasq (2.90-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:48:56 +0000

dnsmasq (2.90-2build1) noble; urgency=medium

  * No-change rebuild against libhogweed6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 03 Mar 2024 06:22:49 +0000

dnsmasq (2.90-2) unstable; urgency=medium

  [ Sven Geuer ]
  * Relax limits imposed by d/t/functions.d/ip-addr.patterns to allow for
    successful tests on ci.debian.net.

 -- Simon Kelley <simon@thekelleys.org.uk>  Wed, 14 Feb 2024 11:33:14 +0000

dnsmasq (2.90-1) unstable; urgency=medium

  [ Simon Kelley ]
  * New upstream. (closes: #1033165)
  * Move hard-coding of Lua version from the upstream Makefile
    to  d/rules.
  * Security fixes for Keytrap - DNSSEC validation CPU exhaustion.
    CVE-2023-50387 and CVE-2023-50868
  [ Sven Geuer ]
  * Introduce autokpgtests per d/tests/* (closes: #1034135).
  * Switch to dpkg-source 3.0 (quilt) format (closes: #1007041).
  * doc.html: Add patch to eliminate privacy breaches leaving the Donations
    paragraph as untouched as possible.
  * Prepend dnsmasq. to default, init, preinst, postinst, prerm, postrm.
  * Rename d/systemd.service to d/dnsmasq.service.
  * Rename d/systemd@.service to d/dnsmasq@.service.
  * Refactor d/rules to use the DH sequencer and fix major lintian issues
    (closes: #844989, #1040923, #1063551).
    Modified files:
    - d/rules
        Complete rewrite making use of debhelper and its tools, fixes lintian
        warning debian-rules-sets-dpkg-architecture-variable.
    - d/control
        Build-Depends, Pre-Depends, Depends added or changed as needed, lintian
        error depends-on-obsolete-package fixed.
    - d/dnsmasq.default
        ENABLED removed and comment changed to fix lintian error
        init.d-script-should-always-start-service.
    - d/dnsmasq.init
        Remove handling of obsolete ENABLED flag.
        Extract code used with System-V-style init and systemd into
        d/init-system-common, extract code used with systemd only
        into d/systemd-helper. This fixes lintian warning
        systemd-service-file-wraps-init-script.
        Drop workaround for hypothetically non-existent file
        /lib/lsb/init-functions, it has been around for more than a decade.
    - d/dnsmasq.service, d/dnsmasq@.service
        Adapt these files to make use of init-system-common and systemd-helper.
    - d/dnsmasq.{post,pre}{inst,rm}
        Rely mostly on the script snippets created by the DH tools to get
        things done, implicitly fixes the lintian warnings
        maintainer-script-should-not-use-dpkg-maintscript-helper and
        command-with-path-in-maintainer-script.
    - d/resolvconf*
        Change file mode bits to 0755, the installed files need it
    New files:
    - d/dnsmasq.{install,links,maintscript}
    - d/dnsmasq-base.{dirs,docs,install}
    - d/dnsmasq-base-lua.{dirs,docs,install,links}
    - d/dnsmasq-utils.{install,manpages}
        The DH tools use these to install what was scripted explicitly
        in the previous version of the d/rules file,
        lintian warning dbus-policy-in-etc fixed
    - d/init-system-common
    - d/systemd-helper
        These files contain slightly modified code formerly part of in
        d/dnsmasq.init.
    Deleted files:
    - d/*conffiles
    - d/lintian-override
    - d/installed-marker
        These are not in use anymore.
  * Deal with a removed conffile and changed links.
    Modified files:
    - d/dnsmasq-base.{postinst,postrm}
    New files:
    - d/dnsmasq-base.maintscript
    - d/dnsmasq-base-lua.maintscript
  * Add watch file and upstream's signing key.
    New files:
    - d/watch
    - d/u/signing-key.asc
  * Remove dependency on package adduser.
    Modified files:
    - d/control
    - d/dnsmasq.post{inst,rm}
  * Refactor d/copyright to comply with DEP 5 (closes: #966505).
  * Remove trailing whitespace from various files under debian/.
  * Bump Standards-Version to 4.6.2.
  * Specify Rules-Requires-Root.
  * Update http:// to https:// with Homepage, Vcs-Git and Vcs-Browser.
  * Introduce d/u/metadata.
  * Fix lintian issue duplicate-short-description.
  * Fix lintian issue capitalization-error-in-description.
  * Bump Lua version to 5.4 (closes: #1050750).
    Modified files:
    - d/control
    - d/t/functions.d/log.patterns

 -- Simon Kelley <simon@thekelleys.org.uk>  Fri, 23 Jan 2024 22:52:01 +0000

dnsmasq (2.89-1) unstable; urgency=low

   * New upstream.

 -- Simon Kelley <simon@thekelleys.org.uk>  Tue, 13 Jan 2023 21:57:01 +0000

dnsmasq (2.88-1) unstable; urgency=low

   * New upstream.
   * Fix loss of server configuration (closes: #1020830)
     Git commit 930428fb970f4991e5c2933fd5a5d2504c18a551

 -- Simon Kelley <simon@thekelleys.org.uk>  Wed, 2 Nov 2022 22:15:45 +0000

dnsmasq (2.87-1) unstable; urgency=low

   * New upstream. (closes: #1001209, #1003156)
   * Include new NFTset support in the build.
   * Fix crash on netboot with DNS server disabled. (closes: #996332)
   * Fix rare lockup in DNSSEC. (closes: #1001576)
   * Close old bug. (closes: #902963)

 -- Simon Kelley <simon@thekelleys.org.uk>  Wed, 25 Sep 2022 23:11:25 +0000
