=== debian/changelog ===
dnsmasq (2.91~test6-1) unstable; urgency=medium

  * New upstream pre-release 2.91~test6
  * d/watch: Consider only tar.gz archives.
  * d/p/*: Drop fix-crash-when-reloading-DHCP-config-on-SIGHUP.patch,
    applied upstream.
  * d/t/functions.d/options*.patterns: Adapt pattern files to the new
    upstream version.
  * d/rules: Call dh_auto_build without --no-parallel, upstream meanwhile
    supports parallel build.
  * d/copyright:
    - Correct copyright years of src/dnssec.c.
    - Bump copyright years to 2025.

 -- Sven Geuer <sge@debian.org>  Mon, 13 Jan 2025 13:18:22 +0100

dnsmasq (2.90-7) unstable; urgency=medium

  * d/p/*:
    - Add patch to fix crash when reloading DHCP config on SIGHUP
      (closes: #1090352).

 -- Sven Geuer <sge@debian.org>  Tue, 17 Dec 2024 22:21:34 +0100

dnsmasq (2.90-6) unstable; urgency=medium

  * Enhance autopkgtests.
    - d/t/functions:
      - Deal with dhcpcd in addition to isc-dhcp-client (closes: #1089585).
    - d/t/*:
      - Make sure ifupdown is installed with tests relying on it and remove
        systemd-resolved possibly installed by default (closes: #1089586).
      - Drop trailing empty lines.
    - Thanks to Lukas Märdian <slyon@ubuntu.com> for bringing up the issues
      and for providing patches.

 -- Sven Geuer <sge@debian.org>  Tue, 10 Dec 2024 20:44:54 +0100

dnsmasq (2.90-5) unstable; urgency=medium

  * d/control + d/copyright:
    - Update my email address to the d.o one.
  * d/control:
    - Mark all packages as Multi-Arch: foreign (closes: #934477). Thanks to
      "Yuriy M. Kaminskiy" <yumkam+debian@gmail.com> for the patch.
  * d/dnsmasq.service + d/dnsmasq@.service:
    - Require network-online.target instead of network.target (closes: #774970,
      lp: #1531184). Thanks to David Britton <david.britton@canonical.com> for
      the patch.
    - Add Documentation key.
  * d/init-system-common:
    - Run resolvconf asynchronously (closes: #871958, lp: #1778073). Thanks to
      Ciaby, https://launchpad.net/~ciaby, for tracking down what caused a
      deadlock between dnsmasq, resolvconf and postfix.
  * d/tests/*:
    - Add test to verify the fix to bug #871958 still works.
  * d/p/*:
    - Add patch to remove trailing white space from dnsmasq.conf.example
      (closes: #1022706).
  * d/rules:
    - Apply dh_installexamples instead of explicit code to package
      dnsmasq.conf.example.
  * d/dnsmasq.init:
    - Fix lintian issue init.d-script-missing-lsb-short-description.

 -- Sven Geuer <sge@debian.org>  Sat, 23 Nov 2024 18:50:11 +0100

dnsmasq (2.90-4) unstable; urgency=medium

  * d/dnsmasq-base.postrm:
    - Handle the rare case "userdel" not being available (closes: #1071142).
  * Bump Standards-Version to 4.7.0.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Fri, 17 May 2024 17:33:51 +0200

dnsmasq (2.90-3) unstable; urgency=medium

  * Update d/control:
    - Add passwd to Depends of dnsmasq-base(-lua) (closes: #1064518).
    - Update the Vcs-* fields (closes: #1065347).
    - Fix lintian issue build-depends-on-obsolete-package.
    - Add myself as uploader.
  * Update d/copyright:
    - Fix lintian issue missing-field-in-dep5-copyright.
  * Add missing CVE number to the 2.90-1 change log.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Sat, 09 Mar 2024 20:18:53 +0100
