=== debian/control ===
--- 
+++ 
@@ -5,17 +5,18 @@
                libidn2-dev, libdbus-1-dev (>=0.61), libgmp-dev,
                nettle-dev (>=2.4-3), libbsd-dev [kfreebsd-any],
 	       liblua5.4-dev, dh-runit, debhelper-compat (= 13),
-               pkg-config, libnftables-dev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Simon Kelley <simon@thekelleys.org.uk>
+               pkgconf, libnftables-dev
+Maintainer: Simon Kelley <simon@thekelleys.org.uk>
+Uploaders: Sven Geuer <sge@debian.org>
 Homepage: https://www.thekelleys.org.uk/dnsmasq/doc.html
-Vcs-Git: https://thekelleys.org.uk/git/dnsmasq.git
-Vcs-Browser: https://thekelleys.org.uk/gitweb/?p=dnsmasq.git
-Standards-Version: 4.6.2
+Vcs-Git: https://thekelleys.org.uk/git/dnsmasq-debian.git
+Vcs-Browser: https://thekelleys.org.uk/gitweb/?p=dnsmasq-debian.git
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 
 Package: dnsmasq
 Architecture: all
+Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: netbase, dnsmasq-base,
          ${misc:Depends}
@@ -34,7 +35,8 @@
 
 Package: dnsmasq-base
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: foreign
+Depends: passwd, ${misc:Depends}, ${shlibs:Depends}
 Breaks: dnsmasq (<< 2.63-1~)
 Replaces: dnsmasq (<< 2.63-1~), dnsmasq-base
 Recommends: dns-root-data
@@ -47,7 +49,8 @@
 
 Package: dnsmasq-base-lua
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: foreign
+Depends: passwd, ${misc:Depends}, ${shlibs:Depends}
 Breaks: dnsmasq (<< 2.63-1~)
 Replaces: dnsmasq (<< 2.63-1~), dnsmasq-base
 Recommends: dns-root-data
@@ -61,6 +64,7 @@
 
 Package: dnsmasq-utils
 Architecture: linux-any
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: dnsmasq (<<2.40)
 Description: Utilities for manipulating DHCP leases
