=== contrib/lease-tools/Makefile ===
CFLAGS?= -O2 -Wall -W

all: dhcp_release dhcp_release6 dhcp_lease_time

clean:
	rm -f *~ *.o core dhcp_release dhcp_release6 dhcp_lease_time
