=== debian/changelog ===
dnsmasq (2.91-1build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 03 Sep 2025 17:45:41 +0000

dnsmasq (2.91-1) unstable; urgency=medium

  * New upstream version 2.91
  * d/control: Bump Standards-Version to 4.7.2.

 -- Sven Geuer <sge@debian.org>  Thu, 20 Mar 2025 18:22:04 +0100
