=== debian/rules ===
--- 
+++ 
@@ -78,12 +78,12 @@
 override_dh_auto_build:
 
 override_dh_auto_install:
-	dh_auto_build -p dnsmasq-base --no-parallel -- install-i18n \
+	dh_auto_build -p dnsmasq-base -- install-i18n \
 		BUILDDIR=debian/auto-build/dnsmasq-base \
 		DESTDIR=$(CURDIR)/debian/dnsmasq-base \
 		PREFIX=$(PREFIX) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
 		COPTS="$(COPTS)"
-	dh_auto_build -p dnsmasq-base-lua --no-parallel -- install-i18n \
+	dh_auto_build -p dnsmasq-base-lua -- install-i18n \
 		BUILDDIR=debian/auto-build/dnsmasq-base-lua \
 		DESTDIR=$(CURDIR)/debian/dnsmasq-base-lua \
 		PREFIX=$(PREFIX) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
@@ -102,8 +102,7 @@
 	dh_install -p dnsmasq-utils --sourcedir=contrib/lease-tools
 	dh_install --remaining-packages
 
-# If 'nodoc' is absent from DEB_BUILD_OPTIONS, Correct name or location of
-# some doc files.
+# If 'nodoc' is absent from DEB_BUILD_OPTIONS, correct name of some doc files.
 # We would prefer do this via dh-exec if it would support dh_installdocs.
 ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
 execute_after_dh_installdocs:
@@ -111,8 +110,6 @@
 		cd $$d; \
 		mv readme README.Debian; \
 		mv CHANGELOG.archive changelog.archive; \
-		mkdir examples; \
-		mv dnsmasq.conf.example examples/; \
 	done
 endif
