=== debian/watch ===
version=4
opts=\
	pgpmode=auto \
https://thekelleys.org.uk/dnsmasq/ \
dnsmasq-([\d.]+).tar.gz
